summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohnny Willemsen <jwillemsen@remedy.nl>2004-09-13 12:36:56 +0000
committerJohnny Willemsen <jwillemsen@remedy.nl>2004-09-13 12:36:56 +0000
commitb7ac227776a0d8d19075397cac4e87b0c688cb0c (patch)
tree20a5270cae927d1c0504df33c2d4dd9a902b8cd3
parent18564b2c5a6ceff4e95dee3d04df0350582d24a0 (diff)
downloadATCD-b7ac227776a0d8d19075397cac4e87b0c688cb0c.tar.gz
ChangeLogTag: Mon Sep 13 12:29:12 UTC 2004 Martin Corino <mcorino@remedy.nl>
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl31
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl28
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Component_Switching/run_test.pl32
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Full_Profile/run_test.pl30
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl27
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Multicast/run_test.pl28
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl28
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl27
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Pluggable/run_test.pl28
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl27
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl28
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl27
-rwxr-xr-xTAO/orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl27
13 files changed, 331 insertions, 37 deletions
diff --git a/TAO/orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl
index 06a5ee135b1..43c15be216f 100755
--- a/TAO/orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -15,13 +16,35 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$testfile = PerlACE::LocalFile ("output");
-$makefile = PerlACE::LocalFile ("input");
+
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-o $nsior");
-$SV = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -s sender -r 10");
-$SV1 = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -s sender -r 1");
+$SV = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -s sender -r 10 -f $input");
+$SV1 = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -s sender -r 1 -f $input");
$RE1 = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -s distributer -r receiver1 -f output1");
$RE2 = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -s distributer -r receiver2 -f output2");
$DI = new PerlACE::Process ("distributer", "-ORBInitRef NameService=file://$nsior -s sender -r distributer");
@@ -231,7 +254,7 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $testfile;
+unlink $testfile, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl
index e5b712073f8..482b8444379 100755
--- a/TAO/orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib $ENV{"ACE_ROOT"}.'/bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,11 +17,34 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$outfile = PerlACE::LocalFile ("output");
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
+
unlink $nsior;
$NS = new PerlACE::Process ($ENV{"TAO_ROOT"}."/orbsvcs/Naming_Service/Naming_Service", "-o $nsior");
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -f output");
-$CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -f input -r 2");
+$CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -f $input -r 2");
print STDERR "Starting Naming Service\n";
@@ -62,6 +86,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Component_Switching/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Component_Switching/run_test.pl
index 878b86cc065..0557c5928f2 100755
--- a/TAO/orbsvcs/tests/AVStreams/Component_Switching/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Component_Switching/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib $ENV{'ACE_ROOT'}."/bin";
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -17,14 +18,35 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$testfile = PerlACE::LocalFile ("output");
-$makefile = PerlACE::LocalFile ("input");
+
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
unlink $nsior;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-ORBDottedDecimalAddresses 1 -o $nsior");
-$SV1 = new PerlACE::Process ("sender", "-ORBDottedDecimalAddresses 1 ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30");
-$SV2 = new PerlACE::Process ("sender", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30");
-$SV3 = new PerlACE::Process ("sender", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30");
+$SV1 = new PerlACE::Process ("sender", "-ORBDottedDecimalAddresses 1 ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30 -f $input");
+$SV2 = new PerlACE::Process ("sender", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30 -f $input");
+$SV3 = new PerlACE::Process ("sender", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r 30 -f $input");
$RE1 = new PerlACE::Process ("receiver", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s distributer -r receiver1 -f output1");
$RE2 = new PerlACE::Process ("receiver", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s distributer -r receiver2 -f output2");
$DI1 = new PerlACE::Process ("distributer", " -ORBDottedDecimalAddresses 1 -ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -s sender -r distributer");
@@ -151,7 +173,7 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $testfile;
+unlink $testfile, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Full_Profile/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Full_Profile/run_test.pl
index ba31ae468a7..d6df72209c9 100755
--- a/TAO/orbsvcs/tests/AVStreams/Full_Profile/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Full_Profile/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -15,11 +16,32 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$outfile = PerlACE::LocalFile ("output");
-$makefile = PerlACE::LocalFile ("Makefile");
$debug = 0;
-unlink $nsior;
+unlink # generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
+$nsior;
@protocols = ("TCP",
@@ -73,7 +95,7 @@ for $protocol (@protocols)
}
$SV = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -f ".$output_file);
- $CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $makefile");
+ $CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $input");
print STDERR "Using ".$protocol."\n";
print STDERR "Starting Server\n";
@@ -107,6 +129,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl
index 2de9e19a586..ba441e80fd2 100755
--- a/TAO/orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,11 +17,33 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$outfile = PerlACE::LocalFile ("output");
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-o $nsior");
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior");
-$CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior");
+$CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -f $input");
print STDERR "Starting Naming Service\n";
@@ -62,6 +85,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Multicast/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Multicast/run_test.pl
index 1f9ae20a47d..5d765cf3e20 100755
--- a/TAO/orbsvcs/tests/AVStreams/Multicast/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Multicast/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,14 +17,35 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$test1 = PerlACE::LocalFile ("test1");
$test2 = PerlACE::LocalFile ("test2");
-$makefile = PerlACE::LocalFile ("Makefile");
+
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
unlink $nsior, $test1, $test2;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-o $nsior");
$SV1 = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -f $test1");
$SV2 = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -f $test2");
-$CL = new PerlACE::Process ("ftp", "-ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -f $makefile");
+$CL = new PerlACE::Process ("ftp", "-ORBSvcConf components_svc$PerlACE::svcconf_ext -ORBInitRef NameService=file://$nsior -f $input");
print STDERR "Starting Naming Service\n";
@@ -77,6 +99,6 @@ if ($nserver != 0) {
$status = 1;
}
-unlink $nsior, $test1, $test2;
+unlink $nsior, $test1, $test2, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl
index c168a476ea7..6da1a3b9156 100755
--- a/TAO/orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,14 +17,35 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$test1 = PerlACE::LocalFile ("test1");
$test2 = PerlACE::LocalFile ("test2");
-$makefile = PerlACE::LocalFile ("Makefile");
+
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
unlink $nsior, $test1, $test2;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-o $nsior");
$SV1 = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -f $test1");
$SV2 = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -f $test2");
-$CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -f $makefile");
+$CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -f $input");
print STDERR "Starting Naming Service\n";
@@ -77,6 +99,6 @@ if ($nserver != 0) {
$status = 1;
}
-unlink $nsior, $test1, $test2;
+unlink $nsior, $test1, $test2, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl
index 6d63232651b..16bf0c48a16 100755
--- a/TAO/orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib $ENV{"ACE_ROOT"}.'/bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,11 +17,33 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$outfile = PerlACE::LocalFile ("output");
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
$NS = new PerlACE::Process ($ENV{"TAO_ROOT"}."/orbsvcs/Naming_Service/Naming_Service", "-o $nsior");
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -f output");
-$CL = new PerlACE::Process ("sender", "-ORBDebugLevel 2 -ORBInitRef NameService=file://$nsior -f input -r 2");
+$CL = new PerlACE::Process ("sender", "-ORBDebugLevel 2 -ORBInitRef NameService=file://$nsior -f $input -r 2");
print STDERR "Starting Naming Service\n";
@@ -62,6 +85,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Pluggable/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Pluggable/run_test.pl
index 6822ea67bf3..45a2d6e274c 100755
--- a/TAO/orbsvcs/tests/AVStreams/Pluggable/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Pluggable/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -14,10 +15,31 @@ $sleeptime = 2;
$status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
-$makefile = PerlACE::LocalFile ("Makefile");
$debug = 0;
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
for ($i = 0; $i <= $#ARGV; $i++)
@@ -80,7 +102,7 @@ for $protocol (@protocols)
}
$SV = new PerlACE::Process ("server", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -f ".$output_file);
- $CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $makefile");
+ $CL = new PerlACE::Process ("ftp", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $input");
print STDERR "Using ".$protocol."\n";
print STDERR "Starting Receiver\n";
@@ -114,6 +136,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl
index 6d63232651b..16bf0c48a16 100755
--- a/TAO/orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib $ENV{"ACE_ROOT"}.'/bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -16,11 +17,33 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$outfile = PerlACE::LocalFile ("output");
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
$NS = new PerlACE::Process ($ENV{"TAO_ROOT"}."/orbsvcs/Naming_Service/Naming_Service", "-o $nsior");
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -f output");
-$CL = new PerlACE::Process ("sender", "-ORBDebugLevel 2 -ORBInitRef NameService=file://$nsior -f input -r 2");
+$CL = new PerlACE::Process ("sender", "-ORBDebugLevel 2 -ORBInitRef NameService=file://$nsior -f $input -r 2");
print STDERR "Starting Naming Service\n";
@@ -62,6 +85,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl
index b44101b5e19..119954f397c 100755
--- a/TAO/orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -15,12 +16,33 @@ $status = 0;
$nsior = PerlACE::LocalFile ("ns.ior");
$testfile = PerlACE::LocalFile ("test");
-$makefile = PerlACE::LocalFile ("input");
+
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
unlink $nsior;
$NS = new PerlACE::Process ("../../../Naming_Service/Naming_Service", "-o $nsior");
-$SV = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -f $makefile");
+$SV = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -f $input");
$RE = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -f $testfile");
$DI = new PerlACE::Process ("distributer", "-ORBInitRef NameService=file://$nsior");
@@ -78,6 +100,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $testfile;
+unlink $testfile, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl
index 5dd90188fa6..c691d65aa8a 100755
--- a/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -18,6 +19,28 @@ $outfile = PerlACE::LocalFile ("output");
$debug = 0;
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
for ($i = 0; $i <= $#ARGV; $i++)
@@ -79,7 +102,7 @@ for $protocol (@protocols)
}
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -f ".$output_file);
- $CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol);
+ $CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $input");
print STDERR "Using ".$protocol."\n";
print STDERR "Starting Receiver\n";
@@ -113,6 +136,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;
diff --git a/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl b/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl
index 5dd90188fa6..c691d65aa8a 100755
--- a/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl
+++ b/TAO/orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl
@@ -7,6 +7,7 @@ eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
use lib '../../../../../bin';
use PerlACE::Run_Test;
+use File::stat;
# amount of delay between running the servers
@@ -18,6 +19,28 @@ $outfile = PerlACE::LocalFile ("output");
$debug = 0;
+# generate test stream data
+$input = "test_input";
+while ( -e $input ) {
+ $input = $input."X";
+}
+open( INPUT, "> $input" ) || die( "can't create input file: $input" );
+for($i =0; $i < 1000 ; $i++ ) {
+ print INPUT <<EOFINPUT;
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+0123456789
+EOFINPUT
+}
+close(INPUT);
+
unlink $nsior;
for ($i = 0; $i <= $#ARGV; $i++)
@@ -79,7 +102,7 @@ for $protocol (@protocols)
}
$SV = new PerlACE::Process ("receiver", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -f ".$output_file);
- $CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol);
+ $CL = new PerlACE::Process ("sender", "-ORBInitRef NameService=file://$nsior -ORBDebugLevel ".$debug." -p ".$protocol." -f $input");
print STDERR "Using ".$protocol."\n";
print STDERR "Starting Receiver\n";
@@ -113,6 +136,6 @@ if ($nserver != 0) {
}
unlink $nsior;
-unlink $output;
+unlink $output, $input;
exit $status;